﻿# 1. Upload ArcGIS authorization files and SSL certificate to the deployment S3 bucket
Write-S3Object -BucketName webgis2 -Key Server.prvc -File C:\ArcGIS10.4\Server.prvc
Write-S3Object -BucketName webgis2 -Key webgis1_com.pfx -File C:\ArcGIS10.4\webgis1_com.pfx

# 2. Create CloudFormation stack
New-CFNStack -StackName "ags2" `
  -TemplateUrl  "http://s3.amazonaws.com/%DEPLOYMENT_S3BUCKET_WITH_SUBFOLDER%/templates/arcgis-server-ubuntu-haconfigstore.template" `
  -Verbose -Capability CAPABILITY_IAM `
  -Parameter @( @{ ParameterKey="VPCId"; ParameterValue="vpc-xxxxxxxx" }, 
                @{ ParameterKey="Subnet1"; ParameterValue="subnet-xxxxxxxx" }, 
                @{ ParameterKey="Subnet2"; ParameterValue="subnet-xxxxxxxx" }, 
                @{ ParameterKey="DeploymentBucket"; ParameterValue="xxxxxxxx" }, 
                @{ ParameterKey="StoreType"; ParameterValue="CloudStore" }, 
                @{ ParameterKey="FSInstanceType"; ParameterValue="m4.xlarge" },
                @{ ParameterKey="ASInstanceType"; ParameterValue="m4.xlarge" },
                @{ ParameterKey="SecondaryInstances"; ParameterValue="1" },
                #@{ ParameterKey="DBEngine"; ParameterValue="sqlserver-se" },
                @{ ParameterKey="DBEngine"; ParameterValue="none" },
                @{ ParameterKey="DBInstanceClass"; ParameterValue="db.m4.large" },
                @{ ParameterKey="KeyName"; ParameterValue="xxxxxxxx" },
                @{ ParameterKey="ServerLicenseFile"; ParameterValue="xxxxxxxx.prvc" },
                @{ ParameterKey="SiteAdmin"; ParameterValue="admin" },
                @{ ParameterKey="SiteAdminPassword"; ParameterValue="xxxxxxxx" },
                @{ ParameterKey="RunAsUserPassword"; ParameterValue="xxxxxxxx" }, 
                @{ ParameterKey="SSLCertificateFile"; ParameterValue="xxxxxxxx.pfx" },
                @{ ParameterKey="SSLCertPassword"; ParameterValue="xxxxxxxx" }) `
  -DisableRollback $true
